Build #8 for chu2-2012.11.18.2

[all reports]

Package chu2-2012.11.18.2
Install DependencyFailed hack2-handler-snap-server-2015.3.9
Docs NotTried
Tests NotTried
Time submitted 2016-12-23 07:18:02.3892 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies base-4.9.0.0, bytestring-0.10.8.1, data-default-0.7.1.1, hack2-2014.11.17, hack2-handler-snap-server-2015.3.9
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring bytestring-builder-0.10.8.1.0...
Configuring call-stack-0.1.0...
Building bytestring-builder-0.10.8.1.0...
Building call-stack-0.1.0...
Installed bytestring-builder-0.10.8.1.0
Configuring clock-0.7.2...
Building clock-0.7.2...
Configuring data-default-class-0.1.2.0...
Installed call-stack-0.1.0
Building data-default-class-0.1.2.0...
Configuring mtl-2.2.1...
Installed clock-0.7.2
Building mtl-2.2.1...
Configuring dlist-0.8.0.2...
Installed data-default-class-0.1.2.0
Building dlist-0.8.0.2...
Configuring old-locale-1.0.0.7...
Installed dlist-0.8.0.2
Building old-locale-1.0.0.7...
Configuring primitive-0.6.1.0...
Installed mtl-2.2.1
Building primitive-0.6.1.0...
Configuring random-1.1...
Installed old-locale-1.0.0.7
Building random-1.1...
Configuring network-2.6.3.1...
Installed primitive-0.6.1.0
Configuring stm-2.4.4.1...
Installed random-1.1
Building stm-2.4.4.1...
Building network-2.6.3.1...
Configuring text-1.2.2.1...
Installed stm-2.4.4.1
Building text-1.2.2.1...
Configuring transformers-compat-0.5.1.4...
Installed network-2.6.3.1
Building transformers-compat-0.5.1.4...
Configuring unix-compat-0.4.3.1...
Installed transformers-compat-0.5.1.4
Building unix-compat-0.4.3.1...
Configuring zlib-0.6.1.2...
Installed unix-compat-0.4.3.1
Building zlib-0.6.1.2...
Installed text-1.2.2.1
Configuring data-default-instances-containers-0.0.1...
Building data-default-instances-containers-0.0.1...
Configuring data-default-instances-dlist-0.0.1...
Installed zlib-0.6.1.2
Building data-default-instances-dlist-0.0.1...
Configuring regex-base-0.93.2...
Installed data-default-instances-containers-0.0.1
Building regex-base-0.93.2...
Configuring HUnit-1.5.0.0...
Installed data-default-instances-dlist-0.0.1
Building HUnit-1.5.0.0...
Configuring data-default-instances-old-locale-0.0.1...
Installed regex-base-0.93.2
Building data-default-instances-old-locale-0.0.1...
Configuring transformers-base-0.4.4...
Installed HUnit-1.5.0.0
Configuring air-2015.5.4...
Installed data-default-instances-old-locale-0.0.1
Building transformers-base-0.4.4...
Building air-2015.5.4...
Configuring vector-0.11.0.0...
Installed transformers-base-0.4.4
Building vector-0.11.0.0...
Configuring blaze-builder-0.4.0.2...
Installed air-2015.5.4
Building blaze-builder-0.4.0.2...
Configuring hashable-1.2.4.0...
Installed blaze-builder-0.4.0.2
Building hashable-1.2.4.0...
Configuring enumerator-0.4.20...
Installed hashable-1.2.4.0
Building enumerator-0.4.20...
Configuring readable-0.3.1...
Installed enumerator-0.4.20
Building readable-0.3.1...
Installed readable-0.3.1
Configuring zlib-bindings-0.1.1.5...
Building zlib-bindings-0.1.1.5...
Configuring data-default-0.7.1.1...
Installed zlib-bindings-0.1.1.5
Building data-default-0.7.1.1...
Configuring monad-control-1.0.1.0...
Installed vector-0.11.0.0
Configuring case-insensitive-1.2.0.7...
Installed data-default-0.7.1.1
Building monad-control-1.0.1.0...
Building case-insensitive-1.2.0.7...
Configuring regex-posix-0.95.2...
Installed monad-control-1.0.1.0
Configuring unordered-containers-0.2.7.1...
Installed case-insensitive-1.2.0.7
Building regex-posix-0.95.2...
Building unordered-containers-0.2.7.1...
Installed regex-posix-0.95.2
Configuring hack2-2014.11.17...
Building hack2-2014.11.17...
Configuring scientific-0.3.4.9...
Installed hack2-2014.11.17
Building scientific-0.3.4.9...
Configuring lifted-base-0.2.3.8...
Installed unordered-containers-0.2.7.1
Building lifted-base-0.2.3.8...
Installed scientific-0.3.4.9
Configuring attoparsec-0.13.1.0...
Building attoparsec-0.13.1.0...
Installed lifted-base-0.2.3.8
Installed attoparsec-0.13.1.0
Configuring io-streams-1.3.5.0...
Building io-streams-1.3.5.0...
Installed io-streams-1.3.5.0
Configuring io-streams-haproxy-1.0.0.1...
Configuring snap-core-1.0.1.0...
Building io-streams-haproxy-1.0.0.1...
Building snap-core-1.0.1.0...
Installed io-streams-haproxy-1.0.0.1
Installed snap-core-1.0.1.0
Configuring snap-server-1.0.1.1...
Building snap-server-1.0.1.1...
Installed snap-server-1.0.1.1
Configuring hack2-handler-snap-server-2015.3.9...
Building hack2-handler-snap-server-2015.3.9...
Failed to install hack2-handler-snap-server-2015.3.9
Build log ( /home/builder/.cabal/logs/hack2-handler-snap-server-2015.3.9.log ):
cabal: Entering directory '/tmp/cabal-tmp-8127/hack2-handler-snap-server-2015.3.9'
Warning: hack2-handler-snap-server.cabal: Unknown fields: build-depends (line
10)
Fields allowed in this section:
name, version, cabal-version, build-type, license, license-file,
license-files, copyright, maintainer, stability, homepage,
package-url, bug-reports, synopsis, description, category, author,
tested-with, data-files, data-dir, extra-source-files,
extra-tmp-files, extra-doc-files
Configuring hack2-handler-snap-server-2015.3.9...
Building hack2-handler-snap-server-2015.3.9...
Preprocessing library hack2-handler-snap-server-2015.3.9...
[1 of 1] Compiling Hack2.Handler.SnapServer ( src/Hack2/Handler/SnapServer.hs, dist/build/Hack2/Handler/SnapServer.o )

src/Hack2/Handler/SnapServer.hs:70:32: error:
    Not in scope: ‘Snap.rqServerName’
    Perhaps you meant one of these:
      ‘Snap.rqServerAddr’ (imported from Snap.Core),
      ‘Snap.rqServerPort’ (imported from Snap.Core)
    Module ‘Snap.Core’ does not export ‘rqServerName’.

src/Hack2/Handler/SnapServer.hs:120:11: error:
    Not in scope: ‘Snap.getRequestBody’
    Perhaps you meant one of these:
      ‘Snap.readRequestBody’ (imported from Snap.Core),
      ‘Snap.runRequestBody’ (imported from Snap.Core),
      ‘Snap.getRequest’ (imported from Snap.Core)
    Module ‘Snap.Core’ does not export ‘getRequestBody’.
cabal: Leaving directory '/tmp/cabal-tmp-8127/hack2-handler-snap-server-2015.3.9'
cabal: Error: some packages failed to install:
chu2-2012.11.18.2 depends on hack2-handler-snap-server-2015.3.9 which failed
to install.
hack2-handler-snap-server-2015.3.9 failed during the building phase. The
exception was:
ExitFailure 1